## org.eclipse.jet.xpath
Class XPathFactory

    java.lang.Object
      org.eclipse.jet.xpath.XPathFactory

    public abstract class XPathFactory

extends java.lang.Object

Factory for instantiating XPath implementations

Constructor Summary
`protected` `XPathFactory()`

Method Summary
`static XPathFactory` `newInstance()`
`abstract XPath` `newXPath(IAnnotationManager annotationManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathFactory

    protected XPathFactory()

Method Detail

### newInstance

    public static XPathFactory newInstance()

### newXPath

    public abstract XPath newXPath(IAnnotationManager annotationManager)

Copyright 2006 IBM Corporation and others. All Rights Reserved.